@echo off
setLocal EnableDelayedExpansion
REM ::
REM :: Builds out the Index.txt and Level.dir.txt files - King Gizzard
REM ::
cls
echo.
echo  UPDATE INDEX.TXT AND LEVEL.DIR.TXT
echo  ----------------------------------
echo.

dir /b *.inf>"_temp.txt"
echo|set /p=": Object count for Index.txt : "&type "_temp.txt" |find /I ".inf" /C

echo index.txt>.\Level.dir.txt
echo bridge-l.img>>.\Level.dir.txt
echo bridge-r.img>>.\Level.dir.txt
echo bridge.img>>.\Level.dir.txt
echo gradient.img>>.\Level.dir.txt
echo grass.img>>.\Level.dir.txt
echo soil.img>>.\Level.dir.txt
echo text.img>>.\Level.dir.txt
IF EXIST ".\back.spr.bmp" (
	echo back.spr>>.\Level.dir.txt
) ELSE (
	echo : INFO: *** back.spr was not found. This should be created and included. ***
)
IF EXIST ".\_back.spr.bmp" (
	echo _back.spr>>.\Level.dir.txt
	echo : INFO: Alternative '_back.spr' found and added
)
IF EXIST ".\back2.spr.bmp" (
	echo back2.spr>>.\Level.dir.txt
	echo : INFO: Second background layer 'back2.spr' found and added
)
echo debris.spr>>.\Level.dir.txt
echo. 2>Index.txt
for /F "tokens=*" %%i IN (_temp.txt) DO (
	set line=%%i
	echo !line:~0,-4!>>Index.txt
	echo !line:~0,-4!.img>>Level.dir.txt
	echo !line!>>Level.dir.txt
)

del /f /q _temp.txt >NUL
echo.
echo Done
echo.
pause



